Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225826 - Merge Review: gnome-netstatus
Summary: Merge Review: gnome-netstatus
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:52 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-11 01:39:07 UTC
dakingun: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:52:48 UTC
Fedora Merge Review: gnome-netstatus

http://cvs.fedora.redhat.com/viewcvs/devel/gnome-netstatus/
Initial Owner: caillon@redhat.com

Comment 1 Deji Akingunola 2007-02-09 15:27:03 UTC
Hi,

NEEDSWORK:
 * Fail to build in mock (rawhide x86_64), seems to need a BR on libxslt;
<<
make[3]: Leaving directory `/builddir/build/BUILD/gnome-netstatus-2.12.0/help'
xsltproc -o gnome-netstatus-C.omf --stringparam db2omf.basename gnome-netstatus
--stringparam db2omf.format 'docbook' --stringparam db2omf.dtd "-//OASIS//DTD
DocBook XML V4.1.2//EN" --stringparam db2omf.lang C --stringparam db2omf.omf_dir
"/usr/share/omf" --stringparam db2omf.help_dir "/usr/share/gnome/help"
--stringparam db2omf.omf_in "`pwd`/./gnome-netstatus.omf.in"
`/usr/bin/pkg-config --variable db2omf gnome-doc-utils` C/gnome-netstatus.xml
db2omf: Could not construct the OMF maintainer element.
  Add an author, corpauthor, editor, othercredit, or publisher
  element with the role attribute set to "maintainer" to gnome-netstatus.xml.
make[2]: *** [gnome-netstatus-C.omf] Error 10
make[2]: Leaving directory `/builddir/build/BUILD/gnome-netstatus-2.12.0/help'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/gnome-netstatus-2.12.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.59866 (%build)
>>
 * The BuildRoot tag is very short, it doesn't conform to the packaging guildelines
 * Is "Prereq: gtk2 >..." neccesary at all? And also the explicit Requires on
gtk2, libglade2, libgnomeui, and gnome-panel
 * Not very sure about this (since the build failed for me half-way), does the
build really depends on gnome-vfs2, maybe that BR ought to be gnome-vfs2-devel.
 * Packaging guildelines discourage the use of '%makeinstall' macro, but advises
using 'make DESTDIR=$RPM_BUILD_ROOT install' instead.

Comment 2 Matthias Clasen 2007-02-09 16:41:14 UTC
I've done some cleanups in the spec now.

libxslt gets pulled in by gnome-doc-utils, your problem is something else. 
I'll see if the buildsystem is more successful in getting it built.

Comment 3 Matthias Clasen 2007-06-17 04:43:19 UTC
Stalled review

Comment 4 Deji Akingunola 2007-06-19 20:14:17 UTC
I'm sorry for the stalled review, I'd thought it was resolved.

GOOD:
 * Build Ok in mock (x86_64)
 * License (GPL) and rpm Group tag OK
 * Naming meets the packaging guildlines
 * Spec file clean and legible
 * Handles locales correctly
 * Build dependencies properly listed
 * Source file matches upstream's
[deji@agape reviews]$ md5sum gnome-netstatus-2.12.1.tar.bz2 
8651ca1694a6c222ae5cad6e21814d24  gnome-netstatus-2.12.1.tar.bz2
 * Own its files and directories correctly.
 * No rpmlint error/warning on the srpm. 

rmplint however gave a long list of (similar) warnings [1] on the binary; I'm
sure you'll fix that later.

APPROVED.

[1]. rpmlint warnings;
[deji@agape reviews]$ rpmlint gnome-netstatus-2.12.1-1.fc8.x86_64.rpm
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ko/figures/gnome-netstatus-tx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-tx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_CN/figures/gnome-netstatus-txrx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-txrx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/it/figures/gnome-netstatus-error.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-error.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_TW/figures/gnome-netstatus-idle.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-idle.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ja/figures/gnome-netstatus-rx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-rx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_HK/figures/gnome-netstatus-rx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-rx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_CN/figures/gnome-netstatus-rx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-rx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/de/figures/gnome-netstatus-idle.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-idle.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_TW/figures/gnome-netstatus-disconn.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-disconn.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/it/figures/gnome-netstatus-idle.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-idle.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_HK/figures/gnome-netstatus-tx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-tx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/de/figures/gnome-netstatus-txrx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-txrx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_HK/figures/gnome-netstatus-error.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-error.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ko/figures/gnome-netstatus-disconn.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-disconn.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ja/figures/gnome-netstatus-tx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-tx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/de/figures/gnome-netstatus-tx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-tx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_CN/figures/gnome-netstatus-disconn.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-disconn.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/it/figures/gnome-netstatus-rx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-rx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ko/figures/gnome-netstatus-error.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-error.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/it/figures/gnome-netstatus-tx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-tx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ko/figures/gnome-netstatus-rx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-rx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_CN/figures/gnome-netstatus-tx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-tx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ja/figures/gnome-netstatus-txrx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-txrx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/it/figures/gnome-netstatus-txrx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-txrx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/de/figures/gnome-netstatus-rx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-rx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_TW/figures/gnome-netstatus-rx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-rx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_TW/figures/gnome-netstatus-txrx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-txrx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ja/figures/gnome-netstatus-idle.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-idle.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_HK/figures/gnome-netstatus-disconn.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-disconn.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/de/figures/gnome-netstatus-disconn.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-disconn.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_CN/figures/gnome-netstatus-error.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-error.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/it/figures/gnome-netstatus-disconn.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-disconn.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ko/figures/gnome-netstatus-txrx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-txrx.png
W: gnome-netstatus non-conffile-in-etc /etc/gconf/schemas/netstatus.schemas
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_HK/figures/gnome-netstatus-idle.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-idle.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_CN/figures/gnome-netstatus-idle.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-idle.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ja/figures/gnome-netstatus-disconn.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-disconn.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_TW/figures/gnome-netstatus-tx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-tx.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ja/figures/gnome-netstatus-error.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-error.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/de/figures/gnome-netstatus-error.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-error.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_TW/figures/gnome-netstatus-error.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-error.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/ko/figures/gnome-netstatus-idle.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-idle.png
W: gnome-netstatus symlink-should-be-relative
/usr/share/gnome/help/gnome-netstatus/zh_HK/figures/gnome-netstatus-txrx.png
/usr/share/icons/hicolor/48x48/apps/gnome-netstatus-txrx.png

Comment 5 Matthias Clasen 2007-08-11 01:39:07 UTC
Review done.


Note You need to log in before you can comment on or make changes to this bug.